Foreman - Bug #37422

rake snapshots:generate is broken
05/09/2024 07:56 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category:
Target version:
Difficulty: Fixed in Releases: 3.11.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/10152,
https://github.com/theforeman/foreman/p
ull/10064
Description

It fails with an error:

rails aborted!
NoMethodError: undefined method “stubs' for #<Host::Managed id: nil

This is after the introduction of “stubs™ method in the hosts generation. The problem stems from the fact that the rake task does not
include Mocha.

Associated revisions

Revision 38b22032 - 05/13/2024 06:20 AM - Shimon Shtein

Fixes #37422 - Switch to method definition in template generators

Mocha cannot be used in rake tasks like “rake snapshots:generate’

History

#1 - 05/09/2024 07:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/10152 added

#2 - 05/09/2024 09:39 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10064 added

#3 - 05/13/2024 06:20 AM - The Foreman Bot
- Fixed in Releases 3.11.0 added

#4 - 05/13/2024 07:00 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|38b22032e97df4701eb28b3c71ed7f7050230191.
